/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.CategoriaMarca;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Rafius
 */
public class RenderConfiguracionCategoriaMarca implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        CategoriaMarca categoria = (CategoriaMarca) o;

        Listcell lc = new Listcell(categoria.getMarca() == null ? "" : categoria.getMarca().getDescmarca());
        lc.setParent(lstm);


        lstm.setAttribute("data", categoria);
    }
}
